/* デスクトップ用のコンテンツ */
.desktop-content {
    display: block;
}

/* モバイル用のコンテンツ */
.mobile-content {
    display: none;
}

@media screen and (max-width: 678px) {
    .desktop-content {
        display: none;
    }

    .mobile-content {
        display: block;
    }
}

.mobile-image-container {
    max-width: 100%;
    margin: 0 auto;
}
.mobile-image-section {
    position: relative;
    margin-bottom: 20px;

}
.mobile-image-section img {
    width: 100%;
    object-fit: cover;
    top: 0;
    left: 0;
}
.mobile-overlay-content {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color:black;
    padding: 20px;
    box-sizing: border-box;
}
.mobile-overlay-content h2 {
    font-size: 1.5rem;
    margin: 5%;
}
.mobile-overlay-content p {
    font-size: 1rem;
    margin: 0 10%;
}

@media screen and (max-width: 468px) {
    .mobile-image-section img {
        object-fit: cover;
    }
    .mobile-content{
        margin-top: 200px;
    }
}


@media screen and (max-width: 328px) {
    .mobile-overlay-content p{
        font-size:0.9rem ;
    }
}
